Bug 167668 - LTC17960-Kernel panic at key_put+0x4/0x19 [REGRESSION]
LTC17960-Kernel panic at key_put+0x4/0x19 [REGRESSION]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Howells
Brian Brock
: Regression
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-09-06 15:30 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2005-09-06 15:30:30 EDT
Escalated to Bugzilla from IssueTracker
Comment 5 David Howells 2005-09-07 11:59:45 EDT
I think this is due to de_thread() creating its own signal_struct and filling  
it in for itself rather than calling copy_signal() as it probably ought to.  
  
This means that it bypasses the extra setting up done to initialise the  
keyring pointers - but only in the case of exec'ing from a multithreaded  
program. 
 
Note that the key management facility is not available in U1. 
Comment 13 Red Hat Bugzilla 2005-10-05 09:56:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.